echo "Updating system"
apt update -y && apt upgrade -y
echo "Done updating"


echo "setting up cockpit"
apt install cockpit -y
echo "cockpit installation done"

echo "Starting nvidia driver installation"
sudo apt-get install linux-headers-$(uname -r) -y
distribution=$(. /etc/os-release;echo $ID$VERSION_ID | sed -e 's/\.//g')
wget https://developer.download.nvidia.com/compute/cuda/repos/$distribution/x86_64/cuda-keyring_1.0-1_all.deb
sudo dpkg -i cuda-keyring_1.0-1_all.deb
sudo apt-get update -y
sudo apt-get -y install cuda-drivers
echo "export LD_LIBRARY_PATH=/usr/local/cuda-12.2/lib64\\n${LD_LIBRARY_PATH:+:${LD_LIBRARY_PATH}}" >> /etc/environment
systemctl status nvidia-persistenced
sudo systemctl enable nvidia-persistenced
echo "Done cuda setup"


echo "Setting up docker"
# Add Docker's official GPG key:
sudo apt-get update
sudo apt-get install ca-certificates curl
sudo install -m 0755 -d /etc/apt/keyrings
sudo curl -fsSL https://download.docker.com/linux/ubuntu/gpg -o /etc/apt/keyrings/docker.asc
sudo chmod a+r /etc/apt/keyrings/docker.asc

# Add the repository to Apt sources:
echo \
          "deb [arch=$(dpkg --print-architecture) signed-by=/etc/apt/keyrings/docker.asc] https://download.docker.com/linux/ubuntu \
            $(. /etc/os-release && echo "$VERSION_CODENAME") stable" | \
              sudo tee /etc/apt/sources.list.d/docker.list > /dev/null
sudo apt-get update

sudo apt-get install docker-ce docker-ce-cli containerd.io docker-buildx-plugin docker-compose-plugin -y

